Merge "playground: Change deviced, agentd, and mounttabled flags from underscores to hyphens."
diff --git a/client/lib/shell/shell_test.sh b/client/lib/shell/shell_test.sh
index 822fd3f..541f79c 100755
--- a/client/lib/shell/shell_test.sh
+++ b/client/lib/shell/shell_test.sh
@@ -147,7 +147,7 @@
   popd > /dev/null
 }
 
-# shell_test::setup_server_test is common boilerplate used for testing veyron
+# shell_test::setup_server_test is common boilerplate used for testing vanadium
 # servers. In particular, this function sets up an instance of the mount table
 # daemon, and sets the V23_NAMESPACE environment variable accordingly.  It also
 # sets up credentials as needed.
@@ -168,9 +168,9 @@
   # Start the mounttable daemon.
   local -r MT_LOG=$(shell::tmp_file)
   if [[ -n ${shell_test_RUNNING_UNDER_AGENT+1} ]]; then
-    shell::run_server "${shell_test_DEFAULT_SERVER_TIMEOUT}" "${MT_LOG}" "${MT_LOG}" "${VRUN}" "${MOUNTTABLED_BIN}" --veyron.tcp.address="127.0.0.1:0" &> /dev/null || (cat "${MT_LOG}" && shell_test::fail "line ${LINENO}: failed to start mounttabled")
+    shell::run_server "${shell_test_DEFAULT_SERVER_TIMEOUT}" "${MT_LOG}" "${MT_LOG}" "${VRUN}" "${MOUNTTABLED_BIN}" --v23.tcp.address="127.0.0.1:0" &> /dev/null || (cat "${MT_LOG}" && shell_test::fail "line ${LINENO}: failed to start mounttabled")
   else
-    shell::run_server "${shell_test_DEFAULT_SERVER_TIMEOUT}" "${MT_LOG}" "${MT_LOG}" "${MOUNTTABLED_BIN}" --veyron.tcp.address="127.0.0.1:0" &> /dev/null || (cat "${MT_LOG}" && shell_test::fail "line ${LINENO}: failed to start mounttabled")
+    shell::run_server "${shell_test_DEFAULT_SERVER_TIMEOUT}" "${MT_LOG}" "${MT_LOG}" "${MOUNTTABLED_BIN}" --v23.tcp.address="127.0.0.1:0" &> /dev/null || (cat "${MT_LOG}" && shell_test::fail "line ${LINENO}: failed to start mounttabled")
   fi
   shell::timed_wait_for "${shell_test_DEFAULT_MESSAGE_TIMEOUT}" "${MT_LOG}" "Mount table service" || shell_test::fail "line ${LINENO}: failed to find expected output"
 
@@ -243,9 +243,9 @@
   local -r PRINCIPAL_BIN="$(shell_test::build_go_binary 'v.io/x/ref/cmd/principal')"
   local -r FORKCRED=$(shell::tmp_dir)
   "${PRINCIPAL_BIN}" create --overwrite=true "${FORKCRED}" self >/dev/null || shell_test::fail "line ${LINENO}: create failed"
-  "${PRINCIPAL_BIN}" --veyron.credentials="$1" bless --require_caveats=false "${FORKCRED}" "$2" >blessing || shell_test::fail "line ${LINENO}: bless failed"
-  "${PRINCIPAL_BIN}" --veyron.credentials="${FORKCRED}" set default blessing || shell_test::fail "line ${LINENO}: set default failed"
-  "${PRINCIPAL_BIN}" --veyron.credentials="${FORKCRED}" set forpeer blessing ... || shell_test::fail "line ${LINENO}: set forpeer failed"
+  "${PRINCIPAL_BIN}" --v23.credentials="$1" bless --require-caveats=false "${FORKCRED}" "$2" >blessing || shell_test::fail "line ${LINENO}: bless failed"
+  "${PRINCIPAL_BIN}" --v23.credentials="${FORKCRED}" set default blessing || shell_test::fail "line ${LINENO}: set default failed"
+  "${PRINCIPAL_BIN}" --v23.credentials="${FORKCRED}" set forpeer blessing ... || shell_test::fail "line ${LINENO}: set forpeer failed"
   echo "${FORKCRED}"
 }
 
diff --git a/client/lib/shell/test.sh b/client/lib/shell/test.sh
index 59e1515..fcffafc 100755
--- a/client/lib/shell/test.sh
+++ b/client/lib/shell/test.sh
@@ -61,7 +61,7 @@
 
   local -r PRINCIPAL_BIN="$(shell_test::build_go_binary 'v.io/x/ref/cmd/principal')"
 
-  "${PRINCIPAL_BIN}" --veyron.credentials="${CRED}" dump >alice.dump ||  shell_test::fail "line ${LINENO}: ${PRINCIPAL_BIN} dump ${CRED} failed"
+  "${PRINCIPAL_BIN}" --v23.credentials="${CRED}" dump >alice.dump ||  shell_test::fail "line ${LINENO}: ${PRINCIPAL_BIN} dump ${CRED} failed"
   cat alice.dump | rmpublickey >got || shell_test::fail "line ${LINENO}: cat alice.dump | rmpublickey failed"
   cat >want <<EOF
 Public key : XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX
@@ -84,7 +84,7 @@
 
   local -r PRINCIPAL_BIN="$(shell_test::build_go_binary 'v.io/x/ref/cmd/principal')"
 
-  "${PRINCIPAL_BIN}" --veyron.credentials="${FORKCRED}" dump >alice.dump ||  shell_test::fail "line ${LINENO}: ${PRINCIPAL_BIN} dump ${CRED} failed"
+  "${PRINCIPAL_BIN}" --v23.credentials="${FORKCRED}" dump >alice.dump ||  shell_test::fail "line ${LINENO}: ${PRINCIPAL_BIN} dump ${CRED} failed"
   cat alice.dump | rmpublickey >got || shell_test::fail "line ${LINENO}: cat alice.dump | rmpublickey failed"
   cat >want <<EOF
 Public key : XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX
diff --git a/go/src/playground/Dockerfile b/go/src/playground/Dockerfile
index bb5ed19..8f28b40 100644
--- a/go/src/playground/Dockerfile
+++ b/go/src/playground/Dockerfile
@@ -23,7 +23,7 @@
 # fresh Vanadium code, you must pass "--no-cache" to the docker build command.
 # See README.md.
 ADD deploy/netrc /root/.netrc
-RUN curl -u vanadium:D6HT]P,LrJ7e https://dev.v.io/noproxy/bootstrap-vanadium.sh | bash
+RUN curl -u vanadium:D6HT]P,LrJ7e https://v.io/bootstrap | bash
 RUN rm /root/.netrc
 
 # Install the release/javascript/core library.
diff --git a/go/src/playground/builder/services.go b/go/src/playground/builder/services.go
index 89cd4fb..cf0dafa 100644
--- a/go/src/playground/builder/services.go
+++ b/go/src/playground/builder/services.go
@@ -38,7 +38,7 @@
 // variable to the mounttable's location.  We run one mounttabled process for
 // the entire environment.
 func startMount(timeLimit time.Duration) (proc *os.Process, err error) {
-	cmd := makeServiceCmd("mounttabled", "-veyron.tcp.address=127.0.0.1:0")
+	cmd := makeServiceCmd("mounttabled", "-v23.tcp.address=127.0.0.1:0")
 	matches, err := startAndWaitFor(cmd, timeLimit, regexp.MustCompile("NAME=(.*)"))
 	if err != nil {
 		return nil, fmt.Errorf("Error starting mounttabled: %v", err)
@@ -57,7 +57,7 @@
 		"proxyd",
 		"-log_dir=/tmp/logs",
 		"-name="+proxyName,
-		"-veyron.tcp.address=127.0.0.1:0")
+		"-v23.tcp.address=127.0.0.1:0")
 	if _, err := startAndWaitFor(cmd, timeLimit, regexp.MustCompile("NAME=(.*)")); err != nil {
 		return nil, fmt.Errorf("Error starting proxy: %v", err)
 	}
@@ -69,8 +69,8 @@
 func startWspr(fileName, credentials string, timeLimit time.Duration) (proc *os.Process, port int, err error) {
 	cmd := makeCmd("<wsprd>:"+fileName, true, credentials,
 		"wsprd",
-		"-veyron.proxy="+proxyName,
-		"-veyron.tcp.address=127.0.0.1:0",
+		"-v23.proxy="+proxyName,
+		"-v23.tcp.address=127.0.0.1:0",
 		"-port=0",
 		// The identd server won't be used, so pass a fake name.
 		"-identd=/unused")
diff --git a/go/src/playground/playground_v23_test.go b/go/src/playground/playground_v23_test.go
index 1672635..faeeb1b 100644
--- a/go/src/playground/playground_v23_test.go
+++ b/go/src/playground/playground_v23_test.go
@@ -80,7 +80,7 @@
 	i.Pushd(i.NewTempDir())
 	defer i.Popd()
 
-	v23tests.RunRootMT(i, "--veyron.tcp.address=127.0.0.1:0")
+	v23tests.RunRootMT(i, "--v23.tcp.address=127.0.0.1:0")
 
 	i.BuildGoPkg("v.io/x/ref/cmd/principal")
 	i.BuildGoPkg("v.io/x/ref/cmd/vdl")